Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.core.localsearch.decider.acceptor.tabu
Class PropertyTabuAcceptor

    java.lang.Object
      org.drools.planner.core.localsearch.event.LocalSearchSolverPhaseLifecycleListenerAdapter
          org.drools.planner.core.localsearch.decider.acceptor.AbstractAcceptor
              org.drools.planner.core.localsearch.decider.acceptor.tabu.AbstractTabuAcceptor
                  org.drools.planner.core.localsearch.decider.acceptor.tabu.PropertyTabuAcceptor

All Implemented Interfaces:
  EventListener, Acceptor, LocalSearchSolverPhaseLifecycleListener

    public class PropertyTabuAcceptor

extends AbstractTabuAcceptor

Field Summary

Fields inherited from class org.drools.planner.core.localsearch.decider.acceptor.tabu.AbstractTabuAcceptor
`aspirationEnabled, assertTabuHashCodeCorrectness, completeTabuSize, partialTabuSize, tabuSequenceList, tabuToStepIndexMap`

Fields inherited from class org.drools.planner.core.localsearch.decider.acceptor.AbstractAcceptor
`logger`

Constructor Summary
`PropertyTabuAcceptor()`

Method Summary
`protected Collection<? extends Object>` | `findNewTabu(LocalSearchStepScope localSearchStepScope)`
`protected Collection<? extends Object>` | `findTabu(MoveScope moveScope)`

Methods inherited from class org.drools.planner.core.localsearch.decider.acceptor.tabu.AbstractTabuAcceptor
`calculateAcceptChance, calculatePartialTabuAcceptChance, getCompleteTabuSize, phaseStarted, setAspirationEnabled, setAssertTabuHashCodeCorrectness, setCompleteTabuSize, setPartialTabuSize, stepTaken`

Methods inherited from class org.drools.planner.core.localsearch.event.LocalSearchSolverPhaseLifecycleListenerAdapter
`beforeDeciding, phaseEnded, stepDecided`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.drools.planner.core.localsearch.event.LocalSearchSolverPhaseLifecycleListener
`beforeDeciding, phaseEnded, stepDecided`

Constructor Detail

### PropertyTabuAcceptor

    public PropertyTabuAcceptor()

Method Detail

### findTabu

    protected Collection<? extends Object> findTabu(MoveScope moveScope)

  Specified by:
    `findTabu` in class `AbstractTabuAcceptor`

### findNewTabu

    protected Collection<? extends Object> findNewTabu(LocalSearchStepScope localSearchStepScope)

  Specified by:
    `findNewTabu` in class `AbstractTabuAcceptor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 JBoss by Red Hat. All Rights Reserved.